# Created by pyp2rpm-2.0.0
%global pypi_name shutilwhich

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        1%{?dist}
Summary:        shutil.which for those not using Python 3.3 yet

License:        PSF
URL:            http://github.com/mbr/shutilwhich
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch


%description
A copy & paste backport of Python 3.3's ``shutil.which`` function.


%package -n     python2-%{pypi_name}
Summary:        shutil.which for those not using Python 3.3 yet
%{?python_provide:%python_provide python2-%{pypi_name}}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description -n python2-%{pypi_name}
A copy & paste backport of Python 3.3's ``shutil.which`` function.


%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        shutil.which for those not using Python 3.3 yet
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
A copy & paste backport of Python 3.3's ``shutil.which`` function.
%endif


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%if 0%{?with_python3}
%py3_install
%endif

%py2_install


%files -n python2-%{pypi_name} 
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name} 
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Wed Feb 17 2016 hguemar <karlthered@gmail.com> - 1.1.0-1
- Initial package.
